Lines Matching refs:ECHO
37 progname=`echo "$progpath" | $SED $basename`
63 # Check that we have a working $ECHO.
67 elif test "X$1" = X--fallback-echo; then
70 elif test "X`($ECHO '\t') 2>/dev/null`" = 'X\t'; then
71 # Yippee, $ECHO works!
74 # Restart under the correct shell, and then maybe $ECHO will work.
78 if test "X$1" = X--fallback-echo; then
79 # used as fallback echo
99 case `echo X|tr X '\101'` in
137 $ECHO "$modename: not configured to build any kind of library" 1>&2
138 $ECHO "Fatal configuration error. See the $PACKAGE docs for more information." 1>&2
148 show="$ECHO"
190 $ECHO "cannot create temporary directory \`$my_tmpdir'" 1>&2
195 $ECHO "X$my_tmpdir" | $Xsed
241 $ECHO $win32_libid_type
257 base_compiler=`set -- "$@"; $ECHO $1`
291 " $CC "* | "$CC "* | " `$ECHO $CC` "* | "`$ECHO $CC` "* | " $CC_quoted"* | "$CC_quoted "* | " `$ECHO $CC_quoted` "* | "`$ECHO $CC_quoted` "*) ;;
310 " $CC "* | "$CC "* | " `$ECHO $CC` "* | "`$ECHO $CC` "* | " $CC_quoted"* | "$CC_quoted "* | " `$ECHO $CC_quoted` "* | "`$ECHO $CC_quoted` "*)
321 base_compiler=`set -- "$@"; $ECHO $1`
345 $ECHO "$modename: unable to infer tagged configuration"
346 $ECHO "$modename: specify a tag with \`--tag'" 1>&2
349 # $ECHO "$modename: using $tagname tagged configuration"
368 $ECHO "$modename: ERROR: object name conflicts: $f_ex_an_ar_dir/$f_ex_an_ar_oldlib" 1>&2
399 my_xlib=`$ECHO "X$my_xlib" | $Xsed -e 's%^.*/%%'`
429 darwin_base_archive=`$ECHO "X$darwin_archive" | $Xsed -e 's%^.*/%%'`
432 darwin_arches=`echo "$darwin_arches" | $SED -e 's/.*are://'`
482 -*=*) optarg=`$ECHO "X$arg" | $Xsed -e 's/[-_a-zA-Z0-9]*=//'` ;;
499 $ECHO "$progname: invalid tag name: $tagname" 1>&2
515 $ECHO "$progname: ignoring unknown tag $tagname" 1>&2
537 echo "\
556 $ECHO "$progname: enabling shell trace mode"
566 $ECHO "host: $host"
568 $ECHO "enable shared libraries"
570 $ECHO "disable shared libraries"
573 $ECHO "enable static libraries"
575 $ECHO "disable static libraries"
610 $ECHO "$modename: unrecognized option \`$arg'" 1>&2
611 $ECHO "$help" 1>&2
623 $ECHO "$modename: option \`$prevopt' requires an argument" 1>&2
624 $ECHO "$help" 1>&2
636 build_old_libs=`case $build_libtool_libs in yes) echo no;; *) echo yes;; esac`
649 $ECHO "*** Warning: inferring the mode of operation is deprecated." 1>&2
650 $ECHO "*** Future versions of Libtool will require --mode=MODE be specified." 1>&2
680 $ECHO "$modename: warning: cannot infer operation mode from \`$nonopt'" 1>&2
682 $ECHO "$modename: warning: cannot infer operation mode without MODE-ARGS" 1>&2
691 $ECHO "$modename: unrecognized option \`-dlopen'" 1>&2
692 $ECHO "$help" 1>&2
734 $ECHO "$modename: you cannot specify \`-o' more than once" 1>&2
757 args=`$ECHO "X$arg" | $Xsed -e "s/^-Wc,//"`
774 lastarg=`$ECHO "X$lastarg" | $Xsed -e "s/^ //"`
793 lastarg=`$ECHO "X$lastarg" | $Xsed -e "$sed_quote_subst"`
812 $ECHO "$modename: you must specify an argument for -Xcompile"
816 $ECHO "$modename: you must specify a target with \`-o'" 1>&2
821 [ -z "$libobj" ] && libobj=`$ECHO "X$srcfile" | $Xsed -e 's%^.*/%%'`
846 libobj=`$ECHO "X$libobj" | $Xsed -e "s/\.$xform$/.lo/"`
849 *.lo) obj=`$ECHO "X$libobj" | $Xsed -e "$lo2o"` ;;
851 $ECHO "$modename: cannot determine name of library object from \`$libobj'" 1>&2
877 qlibobj=`$ECHO "X$libobj" | $Xsed -e "$sed_quote_subst"`
883 && $ECHO "X$libobj" | grep '[]~#^*{};<>?"'"'"' &()|`$[]' \
884 && $ECHO "$modename: libobj name \`$libobj' may not contain shell special characters."
885 objname=`$ECHO "X$obj" | $Xsed -e 's%^.*/%%'`
886 xdir=`$ECHO "X$obj" | $Xsed -e 's%/[^/]*$%%'`
895 $ECHO "$modename: you must specify a compilation command" 1>&2
896 $ECHO "$help" 1>&2
924 output_obj=`$ECHO "X$srcfile" | $Xsed -e 's%^.*/%%' -e 's%\.[^.]*$%%'`.${objext}
943 $ECHO "\
957 $ECHO "$srcfile" > "$lockfile"
963 qsrcfile=`$ECHO "X$srcfile" | $Xsed -e "$sed_quote_subst"`
1020 $ECHO "\
1092 $ECHO "\
1229 $ECHO "$modename: warning: complete static linking is impossible in this configuration" 1>&2
1265 qarg=\"`$ECHO "X$arg" | $Xsed -e "$sed_quote_subst"`\" ### testsuite: skip nested quoting test
1324 $ECHO "$modename: symbol file \`$arg' does not exist"
1376 $ECHO "$modename: cannot find name of object for \`$arg'" 1>&2
1381 xdir=`$ECHO "X$arg" | $Xsed -e 's%/[^/]*$%%'`
1434 $ECHO "$modename: \`$arg' is not a valid libtool object" 1>&2
1440 xdir=`$ECHO "X$arg" | $Xsed -e 's%/[^/]*$%%'`
1447 pic_object=`$ECHO "X${xdir}${objdir}/${arg}" | $Xsed -e "$lo2o"`
1448 non_pic_object=`$ECHO "X${xdir}${arg}" | $Xsed -e "$lo2o"`
1455 $ECHO "$modename: link input file \`$save_arg' does not exist"
1467 $ECHO "$modename: only absolute run-paths are allowed" 1>&2
1476 arg=`$ECHO "X$arg" | $Xsed -e 's%[^/.][^/.]*/\.\.%%g' -e 's%/\./%/%g' -e 's%//*%/%g' -e 's%/$%%g'`
1548 $ECHO "$modename: \`-allow-undefined' is deprecated because it is the default" 1>&2
1574 $ECHO "$modename: more than one -exported-symbols argument is not allowed"
1615 dir=`$ECHO "X$arg" | $Xsed -e 's/^-L//'`
1622 $ECHO "$modename: cannot determine absolute directory name of \`$dir'" 1>&2
1638 testbindir=`$ECHO "X$dir" | $Xsed -e 's*/lib$*/bin*'`
1742 arg=`$ECHO "X$arg" | $Xsed -e "$sed_quote_subst"`
1769 $ECHO "$modename: warning: \`-no-install' is ignored for $host" 1>&2
1770 $ECHO "$modename: warning: assuming \`-no-fast-install' instead" 1>&2
1811 dir=`$ECHO "X$arg" | $Xsed -e 's/^-R//'`
1816 $ECHO "$modename: only absolute run-paths are allowed" 1>&2
1852 args=`$ECHO "X$arg" | $Xsed -e "$sed_quote_subst" -e 's/^-Wc,//'`
1866 arg=`$ECHO "X$arg" | $Xsed -e "s/^ //"`
1870 args=`$ECHO "X$arg" | $Xsed -e "$sed_quote_subst" -e 's/^-Wl,//'`
1885 arg=`$ECHO "X$arg" | $Xsed -e "s/^ //"`
1907 arg=`$ECHO "X$arg" | $Xsed -e "$sed_quote_subst"`
1939 $ECHO "$modename: cannot find name of object for \`$arg'" 1>&2
1944 xdir=`$ECHO "X$arg" | $Xsed -e 's%/[^/]*$%%'`
1997 $ECHO "$modename: \`$arg' is not a valid libtool object" 1>&2
2003 xdir=`$ECHO "X$arg" | $Xsed -e 's%/[^/]*$%%'`
2010 pic_object=`$ECHO "X${xdir}${objdir}/${arg}" | $Xsed -e "$lo2o"`
2011 non_pic_object=`$ECHO "X${xdir}${arg}" | $Xsed -e "$lo2o"`
2046 arg=`$ECHO "X$arg" | $Xsed -e "$sed_quote_subst"`
2063 $ECHO "$modename: the \`$prevarg' option requires an argument" 1>&2
2064 $ECHO "$help" 1>&2
2076 outputname=`$ECHO "X$output" | $Xsed -e 's%^.*/%%'`
2081 eval shlib_search_path=\`\$ECHO \"X\${$shlibpath_var}\" \| \$Xsed -e \'s/:/ /g\'\`
2088 output_objdir=`$ECHO "X$output" | $Xsed -e 's%/[^/]*$%%'`
2107 $ECHO "$modename: you must specify an output file" 1>&2
2108 $ECHO "$help" 1>&2
2170 $ECHO "$modename: libraries can \`-dlopen' only libtool libraries: $file" 1>&2
2244 $ECHO "$modename: warning: \`-l' is ignored for archives/objects" 1>&2
2247 name=`$ECHO "X$deplib" | $Xsed -e 's/^-l//'`
2296 ladir=`$ECHO "X$lib" | $Xsed -e 's%/[^/]*$%%'`
2321 newlib_search_path="$newlib_search_path "`$ECHO "X$deplib" | $Xsed -e 's/^-L//'`
2334 newlib_search_path="$newlib_search_path "`$ECHO "X$deplib" | $Xsed -e 's/^-L//'`
2337 $ECHO "$modename: warning: \`-L' is ignored for archives/objects" 1>&2
2344 dir=`$ECHO "X$deplib" | $Xsed -e 's/^-R//'`
2367 if eval $ECHO \"$deplib\" 2>/dev/null \
2378 $ECHO
2379 $ECHO "*** Warning: Trying to link with static lib archive $deplib."
2380 $ECHO "*** I have the capability to make that library automatically link in when"
2381 $ECHO "*** you link to this library. But I can only do this if you have a"
2382 $ECHO "*** shared version of the library, which you do not appear to have"
2383 $ECHO "*** because the file extensions .$libext of this argument makes me believe"
2384 $ECHO "*** that it is just a static archive that I should not used here."
2386 $ECHO
2387 $ECHO "*** Warning: Linking the shared library $output against the"
2388 $ECHO "*** static library $deplib is not portable!"
2427 $ECHO "$modename: cannot find the library \`$lib' or unhandled argument \`$deplib'" 1>&2
2434 $ECHO "$modename: \`$lib' is not a valid libtool archive" 1>&2
2438 ladir=`$ECHO "X$lib" | $Xsed -e 's%/[^/]*$%%'`
2472 $ECHO "$modename: cannot find name of link library for \`$lib'" 1>&2
2489 $ECHO "$modename: \`$lib' is not a convenience library" 1>&2
2502 $ECHO "$modename: cannot find name of link library for \`$lib'" 1>&2
2509 $ECHO "$modename: cannot -dlopen a convenience library: \`$lib'" 1>&2
2532 $ECHO "$modename: warning: cannot determine absolute directory name of \`$ladir'" 1>&2
2533 $ECHO "$modename: passing it literally to the linker, although it might fail" 1>&2
2538 laname=`$ECHO "X$lib" | $Xsed -e 's%^.*/%%'`
2543 $ECHO "$modename: warning: library \`$lib' was moved." 1>&2
2565 name=`$ECHO "X$laname" | $Xsed -e 's/\.la$//' -e 's/^lib//'`
2570 $ECHO "$modename: cannot -dlpreopen a convenience library: \`$lib'" 1>&2
2612 -L*) newlib_search_path="$newlib_search_path "`$ECHO "X$deplib" | $Xsed -e 's/^-L//'`;; ### testsuite: skip nested quoting test
2695 $ECHO
2697 $ECHO "*** Warning: Linking the executable $output against the loadable module"
2699 $ECHO "*** Warning: Linking the shared library $output against the loadable module"
2701 $ECHO "*** $linklib is not portable!"
2733 libname=`eval \\$ECHO \"$libname_spec\"`
2752 soname=`$ECHO $soroot | ${SED} -e 's/^.*\///'`
2753 newlib="libimp-`$ECHO $soname | ${SED} 's/^lib//;s/\.dll$//'`.a"
2807 $ECHO "** Warning, lib $linklib is a module, not a shared library"
2809 $ECHO
2810 $ECHO "** And there doesn't seem to be a static archive available"
2811 $ECHO "** The link will probably fail, sorry"
2855 $ECHO "$modename: configuration error: unsupported hardcode properties"
2947 $ECHO
2948 $ECHO "*** Warning: This system can not link to static lib archive $lib."
2949 $ECHO "*** I have the capability to make that library automatically link in when"
2950 $ECHO "*** you link to this library. But I can only do this if you have a"
2951 $ECHO "*** shared version of the library, which you do not appear to have."
2953 $ECHO "*** But as you try to build a module library, libtool will still create "
2954 $ECHO "*** a static module, that should work as long as the dlopening application"
2955 $ECHO "*** is linked with the -dlopen flag to resolve symbols at runtime."
2957 $ECHO
2958 $ECHO "*** However, this would only work if libtool was able to extract symbol"
2959 $ECHO "*** lists from a program, using \`nm' or equivalent, but libtool could"
2960 $ECHO "*** not find such a program. So, this module is probably useless."
2961 $ECHO "*** \`nm' from GNU binutils and a full rebuild may help."
2985 -R*) temp_xrpath=`$ECHO "X$libdir" | $Xsed -e 's/^-R//'`
3017 dir=`$ECHO "X$deplib" | $Xsed -e 's%/[^/]*$%%'`
3025 $ECHO "$modename: warning: cannot determine absolute directory name of \`$dir'" 1>&2
3035 $ECHO "$modename: \`$deplib' is not a valid libtool archive" 1>&2
3039 $ECHO "$modename: warning: \`$deplib' seems to be moved" 1>&2
3079 eval tmp_libs=`$ECHO "X$deplib" | $Xsed -e "s,^\-l,,"`
3210 $ECHO "$modename: warning: \`-l' and \`-L' are ignored for archives" 1>&2 ;;
3214 $ECHO "$modename: warning: \`-dlopen' is ignored for archives" 1>&2
3218 $ECHO "$modename: warning: \`-rpath' is ignored for archives" 1>&2
3222 $ECHO "$modename: warning: \`-R' is ignored for archives" 1>&2
3226 $ECHO "$modename: warning: \`-version-info/-version-number' is ignored for archives" 1>&2
3230 $ECHO "$modename: warning: \`-release' is ignored for archives" 1>&2
3234 $ECHO "$modename: warning: \`-export-symbols' is ignored for archives" 1>&2
3247 name=`$ECHO "X$outputname" | $Xsed -e 's/\.la$//' -e 's/^lib//'`
3253 $ECHO "$modename: libtool library \`$output' must begin with \`lib'" 1>&2
3254 $ECHO "$help" 1>&2
3259 name=`$ECHO "X$outputname" | $Xsed -e 's/\.la$//'`
3263 libname=`$ECHO "X$outputname" | $Xsed -e 's/\.la$//'`
3270 $ECHO "$modename: cannot build libtool library \`$output' from non-libtool objects on this host:$objs" 2>&1
3273 $ECHO
3274 $ECHO "*** Warning: Linking the shared library $output against the non-libtool"
3275 $ECHO "*** objects $objs is not portable!"
3281 $ECHO "$modename: warning: \`-dlopen self' is ignored for libtool libraries" 1>&2
3286 $ECHO "$modename: warning: ignoring multiple \`-rpath's for a libtool library" 1>&2
3303 $ECHO "$modename: warning: \`-version-info/-version-number' is ignored for convenience libraries" 1>&2
3307 $ECHO "$modename: warning: \`-release' is ignored for convenience libraries" 1>&2
3317 $ECHO "$modename: too many parameters to \`-version-info'" 1>&2
3318 $ECHO "$help" 1>&2
3368 $ECHO "$modename: CURRENT \`$current' must be a nonnegative integer" 1>&2
3369 $ECHO "$modename: \`$vinfo' is not valid version information" 1>&2
3377 $ECHO "$modename: REVISION \`$revision' must be a nonnegative integer" 1>&2
3378 $ECHO "$modename: \`$vinfo' is not valid version information" 1>&2
3386 $ECHO "$modename: AGE \`$age' must be a nonnegative integer" 1>&2
3387 $ECHO "$modename: \`$vinfo' is not valid version information" 1>&2
3393 $ECHO "$modename: AGE \`$age' is greater than the current interface number \`$current'" 1>&2
3394 $ECHO "$modename: \`$vinfo' is not valid version information" 1>&2
3488 $ECHO "$modename: unknown library version type \`$version_type'" 1>&2
3489 $ECHO "Fatal configuration error. See the $PACKAGE docs for more information." 1>&2
3525 $ECHO "$modename: warning: undefined symbols not allowed in $host shared libraries" 1>&2
3539 tempremovelist=`$ECHO "$output_objdir/*"`
3546 if echo $p | $EGREP -e "$precious_files_regex" >/dev/null 2>&1
3567 oldobjs="$objs "`$ECHO
3572 # lib_search_path=`$ECHO "$lib_search_path " | ${SED} -e "s% $path % %g"`
3573 # deplibs=`$ECHO "$deplibs " | ${SED} -e "s% -L$path % %g"`
3574 # dependency_libs=`$ECHO "$dependency_libs " | ${SED} -e "s% -L$path % %g"`
3691 libname=`eval \\$ECHO \"$libname_spec\"`
3692 deplib_matches=`eval \\$ECHO \"$library_names_spec\"`
3699 $ECHO
3700 $ECHO "*** Warning: dynamic linker does not accept needed library $i."
3701 $ECHO "*** I have the capability to make that library automatically link in when"
3702 $ECHO "*** you link to this library. But I can only do this if you have a"
3703 $ECHO "*** shared version of the library, which I believe you do not have"
3704 $ECHO "*** because a test_compile did reveal that the linker did not use it for"
3705 $ECHO "*** its dynamic dependency list that programs get resolved with at runtime."
3731 libname=`eval \\$ECHO \"$libname_spec\"`
3732 deplib_matches=`eval \\$ECHO \"$library_names_spec\"`
3739 $ECHO
3740 $ECHO "*** Warning: dynamic linker does not accept needed library $i."
3741 $ECHO "*** I have the capability to make that library automatically link in when"
3742 $ECHO "*** you link to this library. But I can only do this if you have a"
3743 $ECHO "*** shared version of the library, which you do not appear to have"
3744 $ECHO "*** because a test_compile did reveal that the linker did not use this one"
3745 $ECHO "*** as a dynamic dependency that programs can get resolved with at runtime."
3750 $ECHO
3751 $ECHO "*** Warning! Library $i is needed by this library but I was not able to"
3752 $ECHO "*** make it link in! You will probably need to install it or some"
3753 $ECHO "*** library that it depends on before this library will be fully"
3754 $ECHO "*** functional. Installing it before continuing would be even better."
3778 libname=`eval \\$ECHO \"$libname_spec\"`
3797 *) potlib=`$ECHO "X$potlib" | $Xsed -e 's,[^/]*$,,'`"$potliblink";;
3812 $ECHO
3813 $ECHO "*** Warning: linker path does not have real file for library $a_deplib."
3814 $ECHO "*** I have the capability to make that library automatically link in when"
3815 $ECHO "*** you link to this library. But I can only do this if you have a"
3816 $ECHO "*** shared version of the library, which you do not appear to have"
3817 $ECHO "*** because I did check the linker path looking for a file starting"
3819 $ECHO "*** with $libname but no candidates were found. (...for file magic test)"
3821 $ECHO "*** with $libname and none of the candidates passed a file format test"
3822 $ECHO "*** using a file magic. Last file checked: $potlib"
3847 libname=`eval \\$ECHO \"$libname_spec\"`
3852 if eval $ECHO \"$potent_lib\" 2>/dev/null \
3864 $ECHO
3865 $ECHO "*** Warning: linker path does not have real file for library $a_deplib."
3866 $ECHO "*** I have the capability to make that library automatically link in when"
3867 $ECHO "*** you link to this library. But I can only do this if you have a"
3868 $ECHO "*** shared version of the library, which you do not appear to have"
3869 $ECHO "*** because I did check the linker path looking for a file starting"
3871 $ECHO "*** with $libname but no candidates were found. (...for regex pattern test)"
3873 $ECHO "*** with $libname and none of the candidates passed a file format test"
3874 $ECHO "*** using a regex pattern. Last file checked: $potlib"
3885 tmp_deplibs=`$ECHO "X $deplibs" | $Xsed -e 's/ -lc$//' \
3890 tmp_deplibs=`$ECHO "X $tmp_deplibs" | ${SED} -e "1s,^X,," -e "s,$i,,"`
3893 if $ECHO "X $tmp_deplibs" | $Xsed -e 's/[ ]//g' \
3895 $ECHO
3897 $ECHO "*** Warning: inter-library dependencies are not supported in this platform."
3899 $ECHO "*** Warning: inter-library dependencies are not known to be supported."
3901 $ECHO "*** All declared inter-library dependencies are being dropped."
3915 newdeplibs=`$ECHO "X $newdeplibs" | $Xsed -e 's/ -lc / -framework System /'`
3921 $ECHO
3922 $ECHO "*** Warning: libtool could not satisfy all declared inter-library"
3923 $ECHO "*** dependencies of module $libname. Therefore, libtool will create"
3924 $ECHO "*** a static module, that should work as long as the dlopening"
3925 $ECHO "*** application is linked with the -dlopen flag."
3927 $ECHO
3928 $ECHO "*** However, this would only work if libtool was able to extract symbol"
3929 $ECHO "*** lists from a program, using \`nm' or equivalent, but libtool could"
3930 $ECHO "*** not find such a program. So, this module is probably useless."
3931 $ECHO "*** \`nm' from GNU binutils and a full rebuild may help."
3941 $ECHO "*** The inter-library dependencies that have been dropped here will be"
3942 $ECHO "*** automatically added whenever a program is linked with this library"
3943 $ECHO "*** or is declared to -dlopen it."
3946 $ECHO
3947 $ECHO "*** Since this library must not contain undefined symbols,"
3948 $ECHO "*** because either the platform does not support them or"
3949 $ECHO "*** it was explicitly requested with -no-undefined,"
3950 $ECHO "*** libtool will only create a static version of it."
4087 test -z "$pic_flag" && libobjs=`$ECHO "X$libobjs" | $SP2NL | $Xsed -e "$lo2o" | $NL2SP`
4125 $run eval '$ECHO "X$include_expsyms" | $SP2NL >> "$export_symbols"'
4187 $ECHO "creating reloadable object files..."
4201 output_la=`$ECHO "X$output" | $Xsed -e "$basename"`
4262 $ECHO "creating a temporary reloadable object file: $output"
4353 $ECHO "$modename: warning: \`-l' and \`-L' are ignored for objects" 1>&2 ;;
4357 $ECHO "$modename: warning: \`-dlopen' is ignored for objects" 1>&2
4361 $ECHO "$modename: warning: \`-rpath' is ignored for objects" 1>&2
4365 $ECHO "$modename: warning: \`-R' is ignored for objects" 1>&2
4369 $ECHO "$modename: warning: \`-version-info' is ignored for objects" 1>&2
4373 $ECHO "$modename: warning: \`-release' is ignored for objects" 1>&2
4379 $ECHO "$modename: cannot build library object \`$output' from non-libtool objects" 1>&2
4383 obj=`$ECHO "X$output" | $Xsed -e "$lo2o"`
4408 reload_conv_objs=$reload_objs\ `$ECHO "X$tmp_whole_archive_flags" | $Xsed -e 's|,| |g'`
4419 reload_objs="$objs$old_deplibs "`$ECHO "X$libobjs" | $SP2NL | $Xsed -e '/\.'${libext}$'/d' -e '/\.lib$/d' -e "$lo2o" | $NL2SP`" $reload_conv_objs" ### testsuite: skip nested quoting test
4450 # $show "echo timestamp > $libobj"
4451 # $run eval "echo timestamp > $libobj" || exit $?
4480 *cygwin*) output=`$ECHO $output | ${SED} -e 's,.exe$,,;s,$,.exe,'` ;;
4483 $ECHO "$modename: warning: \`-version-info' is ignored for programs" 1>&2
4487 $ECHO "$modename: warning: \`-release' is ignored for programs" 1>&2
4493 $ECHO "$modename: warning: \`AC_LIBTOOL_DLOPEN' not used. Assuming no dlopen support."
4500 compile_deplibs=`$ECHO "X $compile_deplibs" | $Xsed -e 's/ -lc / -framework System /'`
4501 finalize_deplibs=`$ECHO "X $finalize_deplibs" | $Xsed -e 's/ -lc / -framework System /'`
4588 testbindir=`$ECHO "X$libdir" | $Xsed -e 's*/lib$*/bin*'`
4646 compile_command=`$ECHO "X$compile_command" | $SP2NL | $Xsed -e "$lo2o" | $NL2SP`
4647 finalize_command=`$ECHO "X$finalize_command" | $SP2NL | $Xsed -e "$lo2o" | $NL2SP`
4655 $ECHO "$modename: not configured to extract global symbols from dlpreopened files" 1>&2
4672 test -z "$run" && $ECHO > "$output_objdir/$dlsyms" "\
4689 test -z "$run" && $ECHO ': @PROGRAM@ ' > "$nlist"
4692 progfiles=`$ECHO "X$objs$old_deplibs" | $SP2NL | $Xsed -e "$lo2o" | $NL2SP`
4715 $run eval "echo EXPORTS "'> "$output_objdir/$outputname.def"'
4725 $run eval "echo EXPORTS "'> "$output_objdir/$outputname.def"'
4734 name=`$ECHO "$arg" | ${SED} -e 's%^.*/%%'`
4735 $run eval '$ECHO ": $name " >> "$nlist"'
4764 $ECHO '/* NONE */' >> "$output_objdir/$dlsyms"
4767 $ECHO >> "$output_objdir/$dlsyms" "\
4783 $ECHO >> "$output_objdir/$dlsyms" "\
4791 $ECHO >> "$output_objdir/$dlsyms" "\
4798 $ECHO >> "$output_objdir/$dlsyms" "\
4808 $ECHO >> "$output_objdir/$dlsyms" "\
4856 compile_command=`$ECHO "X$compile_command" | $SP2NL | $Xsed -e "s%@SYMFILE@%$output_objdir/${outputname}.def $output_objdir/${outputname}S.${objext}%" | $NL2SP`
4857 finalize_command=`$ECHO "X$finalize_command" | $SP2NL | $Xsed -e "s%@SYMFILE@%$output_objdir/${outputname}.def $output_objdir/${outputname}S.${objext}%" | $NL2SP`
4859 compile_command=`$ECHO "X$compile_command" | $SP2NL | $Xsed -e "s%@SYMFILE@%$output_objdir/${outputname}S.${objext}%" | $NL2SP`
4860 finalize_command=`$ECHO "X$finalize_command" | $SP2NL | $Xsed -e "s%@SYMFILE@%$output_objdir/${outputname}S.${objext}%" | $NL2SP`
4864 compile_command=`$ECHO "X$compile_command" | $SP2NL | $Xsed -e "s%@SYMFILE@%$output_objdir/${outputname}S.${objext}%" | $NL2SP`
4865 finalize_command=`$ECHO "X$finalize_command" | $SP2NL | $Xsed -e "s%@SYMFILE@%$output_objdir/${outputname}S.${objext}%" | $NL2SP`
4870 $ECHO "$modename: unknown suffix for \`$dlsyms'" 1>&2
4880 compile_command=`$ECHO "X$compile_command" | $SP2NL | $Xsed -e "s% @SYMFILE@%%" | $NL2SP`
4881 finalize_command=`$ECHO "X$finalize_command" | $SP2NL | $Xsed -e "s% @SYMFILE@%%" | $NL2SP`
4886 compile_command=`$ECHO "X$compile_command" | $SP2NL | $Xsed -e 's%@OUTPUT@%'"$output"'%g' | $NL2SP`
4953 link_command=`$ECHO "X$link_command" | $Xsed -e 's%@OUTPUT@%'"$output"'%g'`
4967 $ECHO "$modename: warning: this platform does not like uninstalled shared libraries" 1>&2
4968 $ECHO "$modename: \`$output' will be relinked during installation" 1>&2
4973 relink_command=`$ECHO "X$compile_var$compile_command$compile_rpath" | $SP2NL | $Xsed -e 's%@OUTPUT@%\$progdir/\$file%g' | $NL2SP`
4985 link_command=`$ECHO "X$link_command" | $Xsed -e 's%@OUTPUT@%'"$output_objdir/$outputname"'%g'`
5005 var_value=`$ECHO "X$var_value" | $Xsed -e "$sed_quote_subst"`
5010 relink_command=`$ECHO "X$relink_command" | $SP2NL | $Xsed -e "$sed_quote_subst" | $NL2SP`
5013 # Quote $ECHO for shipping.
5014 if test "X$ECHO" = "X$SHELL $progpath --fallback-echo"; then
5016 [\\/]* | [A-Za-z]:[\\/]*) qecho="$SHELL $progpath --fallback-echo";;
5017 *) qecho="$SHELL `pwd`/$progpath --fallback-echo";;
5019 qecho=`$ECHO "X$qecho" | $Xsed -e "$sed_quote_subst"`
5021 qecho=`$ECHO "X$ECHO" | $Xsed -e "$sed_quote_subst"`
5029 *.exe) output=`$ECHO $output|${SED} 's,.exe$,,'` ;;
5035 outputname=`$ECHO $outputname|${SED} 's,.exe$,,'` ;;
5400 $ECHO > $output "\
5442 # When we are sourced in execute mode, \$file and \$ECHO are already set.
5444 echo=\"$qecho\"
5446 # Make sure echo works.
5450 elif test \"X\`(\$ECHO '\t') 2>/dev/null\`\" = 'X\t'; then
5451 # Yippee, \$ECHO works!
5454 # Restart under the correct shell, and then maybe \$ECHO will work.
5459 $ECHO >> $output "\
5462 thisdir=\`\$ECHO \"X\$file\" | \$Xsed -e 's%/[^/]*$%%'\`
5468 destdir=\`\$ECHO \"X\$file\" | \$Xsed -e 's%/[^/]*\$%%'\`
5478 file=\`\$ECHO \"X\$file\" | \$Xsed -e 's%^.*/%%'\`
5488 $ECHO >> $output "\
5504 $ECHO >> $output "\
5510 $ECHO \"\$relink_command_output\" >&2
5522 $ECHO >> $output "\
5528 $ECHO >> $output "\
5534 $ECHO >> $output "\
5540 $shlibpath_var=\`\$ECHO \"X\$$shlibpath_var\" | \$Xsed -e 's/::*\$//'\`
5548 $ECHO >> $output "\
5554 $ECHO >> $output "\
5561 $ECHO >> $output "\
5567 $ECHO >> $output "\
5572 $ECHO >> $output "\
5573 \$ECHO \"\$0: cannot exec \$program \$*\"
5578 \$ECHO \"\$0: error: \\\`\$progdir/\$program' does not exist\" 1>&2
5579 \$ECHO \"This script is just a wrapper for \$program.\" 1>&2
5580 $ECHO \"See the $PACKAGE documentation for more information.\" 1>&2
5628 $ECHO "X$obj" | $Xsed -e 's%^.*/%%'
5632 $ECHO "copying selected object files to avoid basename conflicts..."
5653 objbase=`$ECHO "X$obj" | $Xsed -e 's%^.*/%%'`
5684 $ECHO "using piecewise archive linking..."
5753 var_value=`$ECHO "X$var_value" | $Xsed -e "$sed_quote_subst"`
5759 relink_command=`$ECHO "X$relink_command" | $SP2NL | $Xsed -e "$sed_quote_subst" | $NL2SP`
5778 name=`$ECHO "X$deplib" | $Xsed -e 's%^.*/%%'`
5781 $ECHO "$modename: \`$deplib' is not a valid libtool archive" 1>&2
5792 name=`$ECHO "X$lib" | $Xsed -e 's%^.*/%%'`
5795 $ECHO "$modename: \`$lib' is not a valid libtool archive" 1>&2
5803 name=`$ECHO "X$lib" | $Xsed -e 's%^.*/%%'`
5806 $ECHO "$modename: \`$lib' is not a valid libtool archive" 1>&2
5838 $ECHO > $output "\
5875 $ECHO >> $output "\
5898 $ECHO "X$nonopt" | grep shtool > /dev/null; then
5900 arg=`$ECHO "X$nonopt" | $Xsed -e "$sed_quote_subst"`
5916 arg=`$ECHO "X$arg" | $Xsed -e "$sed_quote_subst"`
5967 arg=`$ECHO "X$arg" | $Xsed -e "$sed_quote_subst"`
5977 $ECHO "$modename: you must specify an install program" 1>&2
5978 $ECHO "$help" 1>&2
5983 $ECHO "$modename: the \`$prev' option requires an argument" 1>&2
5984 $ECHO "$help" 1>&2
5990 $ECHO "$modename: no file or destination specified" 1>&2
5992 $ECHO "$modename: you must specify a destination" 1>&2
5994 $ECHO "$help" 1>&2
6006 dest=`$ECHO "X$dest" | $Xsed -e 's%[^/.][^/.]*/\.\.%%g' -e 's%/\./%/%g' -e 's%//*%/%g' -e 's%/$%%g'`
6015 destdir=`$ECHO "X$dest" | $Xsed -e 's%/[^/]*$%%'`
6017 destname=`$ECHO "X$dest" | $Xsed -e 's%^.*/%%'`
6022 $ECHO "$modename: \`$dest' is not a directory" 1>&2
6023 $ECHO "$help" 1>&2
6034 $ECHO "$modename: \`$destdir' must be an absolute directory name" 1>&2
6035 $ECHO "$help" 1>&2
6063 $ECHO "$modename: \`$file' is not a valid libtool archive" 1>&2
6064 $ECHO "$help" 1>&2
6091 dir=`$ECHO "X$file" | $Xsed -e 's%/[^/]*$%%'`/
6097 inst_prefix_dir=`$ECHO "$destdir" | $SED "s%$libdir\$%%"`
6106 $ECHO "$modename: error: cannot install \`$file' to a directory not ending in $libdir" 1>&2
6112 relink_command=`$ECHO "$relink_command" | $SP2NL | $SED "s%@inst_prefix_dir@%-inst-prefix-dir $inst_prefix_dir%" | $NL2SP`
6114 relink_command=`$ECHO "$relink_command" | $SP2NL | $SED "s%@inst_prefix_dir@%%" | $NL2SP`
6117 $ECHO "$modename: warning: relinking \`$file'" 1>&2
6121 $ECHO "$modename: error: relink \`$file' with the above command before installing it" 1>&2
6181 name=`$ECHO "X$file" | $Xsed -e 's%^.*/%%'`
6197 destfile=`$ECHO "X$file" | $Xsed -e 's%^.*/%%'`
6204 staticdest=`$ECHO "X$destfile" | $Xsed -e "$lo2o"`
6211 $ECHO "$modename: cannot copy a libtool object to \`$destfile'" 1>&2
6212 $ECHO "$help" 1>&2
6226 staticobj=`$ECHO "X$file" | $Xsed -e "$lo2o"`
6239 destfile=`$ECHO "X$file" | $Xsed -e 's%^.*/%%'`
6250 file=`$ECHO $file|${SED} 's,.exe$,,'`
6259 wrapper=`$ECHO $file | ${SED} -e 's,.exe$,,'`
6282 $ECHO "$modename: invalid libtool wrapper script \`$wrapper'" 1>&2
6297 libfile="$libdir/"`$ECHO "X$lib" | $Xsed -e 's%^.*/%%g'` ### testsuite: skip nested quoting test
6299 $ECHO "$modename: warning: \`$lib' has not been installed in \`$libdir'" 1>&2
6320 file=`$ECHO "X$file$stripped_ext" | $Xsed -e 's%^.*/%%'`
6323 relink_command=`$ECHO "X$relink_command" | $SP2NL | $Xsed -e 's%@OUTPUT@%'"$outputname"'%g' | $NL2SP`
6328 $ECHO "$modename: error: relink \`$file' with the above command before installing it" 1>&2
6334 $ECHO "$modename: warning: cannot relink \`$file'" 1>&2
6338 file=`$ECHO "X$file$stripped_ext" | $Xsed -e "s%\([^/]*\)$%$objdir/\1%"`
6354 destfile=`$ECHO $destfile | ${SED} -e 's,.exe$,,'`
6367 name=`$ECHO "X$file" | $Xsed -e 's%^.*/%%'`
6393 $ECHO "$modename: warning: remember to run \`$progname --finish$future_libdirs'" 1>&2
6443 $ECHO "X----------------------------------------------------------------------" | $Xsed
6444 $ECHO "Libraries have been installed in:"
6446 $ECHO " $libdir"
6448 $ECHO
6449 $ECHO "If you ever happen to want to link against installed libraries"
6450 $ECHO "in a given directory, LIBDIR, you must either use libtool, and"
6451 $ECHO "specify the full pathname of the library, or use the \`-LLIBDIR'"
6452 $ECHO "flag during linking and do at least one of the following:"
6454 $ECHO " - add LIBDIR to the \`$shlibpath_var' environment variable"
6455 $ECHO " during execution"
6458 $ECHO " - add LIBDIR to the \`$runpath_var' environment variable"
6459 $ECHO " during linking"
6465 $ECHO " - use the \`$flag' linker flag"
6468 $ECHO " - have your system administrator run these commands:$admincmds"
6471 $ECHO " - have your system administrator add LIBDIR to \`/etc/ld.so.conf'"
6473 $ECHO
6474 $ECHO "See any operating system documentation about shared libraries for"
6475 $ECHO "more information, such as the ld(1) and ld.so(8) manual pages."
6476 $ECHO "X----------------------------------------------------------------------" | $Xsed
6487 $ECHO "$modename: you must specify a COMMAND" 1>&2
6488 $ECHO "$help"
6495 $ECHO "$modename: \`$file' is not a file" 1>&2
6496 $ECHO "$help" 1>&2
6506 $ECHO "$modename: \`$lib' is not a valid libtool archive" 1>&2
6507 $ECHO "$help" 1>&2
6524 test -n "$library_names" && $ECHO "$modename: warning: \`$file' was not linked with \`-export-dynamic'"
6528 dir=`$ECHO "X$file" | $Xsed -e 's%/[^/]*$%%'`
6535 $ECHO "$modename: cannot find \`$dlname' in \`$dir' or \`$dir/$objdir'" 1>&2
6543 dir=`$ECHO "X$file" | $Xsed -e 's%/[^/]*$%%'`
6548 $ECHO "$modename: warning \`-dlopen' is ignored for non-libtool libraries and objects" 1>&2
6590 file=`$ECHO "X$file" | $Xsed -e "$sed_quote_subst"`
6613 eval "\$ECHO \"\$shlibpath_var=\$$shlibpath_var\""
6614 $ECHO "export $shlibpath_var"
6616 $ECHO "$cmd$args"
6643 $ECHO "$modename: you must specify an RM program" 1>&2
6644 $ECHO "$help" 1>&2
6652 dir=`$ECHO "X$file" | $Xsed -e 's%/[^/]*$%%'`
6659 name=`$ECHO "X$file" | $Xsed -e 's%^.*/%%'`
6769 file=`$ECHO $file|${SED} 's,.exe$,,'`
6770 noexename=`$ECHO $name|${SED} 's,.exe$,,'`
6811 $ECHO "$modename: you must specify a MODE" 1>&2
6812 $ECHO "$generic_help" 1>&2
6818 $ECHO "$modename: invalid operation mode \`$mode'" 1>&2
6819 $ECHO "$generic_help" 1>&2
6831 "") $ECHO \
6866 $ECHO \
6880 $ECHO \
6901 $ECHO \
6921 $ECHO \
6933 $ECHO \
6946 $ECHO \
7003 $ECHO \
7017 $ECHO "$modename: invalid operation mode \`$mode'" 1>&2
7018 $ECHO "$help" 1>&2
7023 $ECHO
7024 $ECHO "Try \`$modename --help' for more information about other modes."